Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.io.nquads
Class NQuadsWriter

    java.lang.Object
      org.apache.any23.io.nquads.NQuadsWriter

All Implemented Interfaces:
  org.openrdf.rio.RDFHandler, org.openrdf.rio.RDFWriter

    public class NQuadsWriter

extends Object
implements org.openrdf.rio.RDFWriter

N-Quads implementation of an `RDFWriter`. See the format specification here.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Constructor Summary
`NQuadsWriter(OutputStream os)`
`NQuadsWriter(Writer w)`

Method Summary
`void` | `endRDF()`
`org.openrdf.rio.RDFFormat` | `getRDFFormat()`
`void` | `handleComment(String comment)`
`void` | `handleNamespace(String ns, String uri)`
`void` | `handleStatement(org.openrdf.model.Statement statement)`
`void` | `startRDF()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NQuadsWriter

    public NQuadsWriter(OutputStream os)

### NQuadsWriter

    public NQuadsWriter(Writer w)

Method Detail

### getRDFFormat

    public org.openrdf.rio.RDFFormat getRDFFormat()

  Specified by:
    `getRDFFormat` in interface `org.openrdf.rio.RDFWriter`

### startRDF

    public void startRDF()
                  throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `startRDF` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

### endRDF

    public void endRDF()
                throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `endRDF` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

### handleNamespace

    public void handleNamespace(String ns,
                                String uri)
                         throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `handleNamespace` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

### handleStatement

    public void handleStatement(org.openrdf.model.Statement statement)
                         throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `handleStatement` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

### handleComment

    public void handleComment(String comment)
                       throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `handleComment` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.